package de.mrbesen.telegram.event.events;

import de.mrbesen.telegram.event.Event;
import de.mrbesen.telegram.objects.TMessage;
import de.mrbesen.telegram.objects.TUser;

public class UserSendMessageEvent extends Event {

	private TMessage m;
	
	public UserSendMessageEvent(TMessage m) {
		super(m.getFrom());
		this.m = m;
	}

	public TMessage getMessage() {
		return m;
	}
	
	public TUser getUser() {
		return m.getFrom();
	}
}
