package de.mrbesen.telegram.objects;

import org.json.JSONObject;

public class TPhotoSize extends TDocument {

	private int width, height;

	public TPhotoSize(JSONObject json) {
		super(json);
		width = json.getInt("width");
		height = json.getInt("height");
		allowedmembers = new Member[] {Member.file_size};
	}

	public int getWidth() {
		return width;
	}

	public int getHeight() {
		return height;
	}
}
