package de.mrbesen.telegram.objects;

import org.json.JSONObject;

public class TSendable extends JSONBased {

	protected String file_id;
	
	public void set(Member mem, Object value ) {
		if(isAllowed(mem)) {
			if(value instanceof Integer)
				base_json.put(mem.name(), (int) value);
			else if(value instanceof Boolean)
				base_json.put(mem.name(), (boolean) value);
			else
				base_json.put(mem.name(), value);
		} else {
			throw new UnallowedMemberException(mem, this);
		}
	}
	
	public TSendable(JSONObject o) {
		super(o);
		file_id = o.getString("file_id");
	}
	
	public boolean upload() {

		return false;
	}
}
