
package de.mrbesen.test.commands;

import de.mrbesen.telegram.commands.CommandHandler;
import de.mrbesen.telegram.objects.TReplyKeyboardMarkup;
import de.mrbesen.telegram.objects.TUser;

public class ReplyKeyboardTestCase implements CommandHandler {

	@Override
	public boolean onCommand(TUser sender, String cmd, String[] args) {
		if(cmd.equals("replykb")) {
			sender.sendMessage("Buttons zum Antippen:", 
					new TReplyKeyboardMarkup(2)
						.addButton("gg", 1)
						.addButton("ok", 1)
						.addButton("mrB", 2)
						.setOneTimeKeyboard(true)
						.setResizeKeyboard(true));
			return true;
		}
		return false;
	}
}
