package de.mrbesen.telegram.objects;

import org.json.JSONObject;

public class TVenue extends JSONBased {

	private TLocation location;
	private String title, address;
	
	public TVenue(JSONObject json) {
		super(json);
		location = new TLocation(json.getJSONObject("location"));
		title = json.getString("title");
		address = json.getString("address");
		allowedmembers = new Member[] {Member.foursquare_id};
	}

	public TLocation getLocation() {
		return location;
	}

	public String getTitle() {
		return title;
	}

	public String getAddress() {
		return address;
	}
}
