package de.mrbesen.telegram.objects;

import org.json.JSONObject;

public class TVideo extends TAudio {

	private int width, height;
	
	public TVideo(JSONObject o) {
		super(o);
		width = o.getInt("width");
		height = o.getInt("height");
		allowedmembers = new Member[] {Member.thumb, Member.mime_type, Member.file_size};
	}

	public int getWidth() {
		return width;
	}

	public int getHeight() {
		return height;
	}
}
